Next: gdbinit man, Previous: gdbserver man, Up: Man Pages [Contents][Index]

#### gcore man

### gcore

    gcore [-o filename] pid

Generate a core dump of a running program with process ID pid. Produced file is equivalent to a kernel produced core file as if the process crashed (and if `ulimit -c` were used to set up an appropriate core dump limit). Unlike after a crash, after `gcore` the program remains running without any change.

`-o filename`

  The optional argument filename specifies the file name where to put the core dump. If not specified, the file name defaults to `core.pid`, where pid is the running program process ID.